## ros-humble-flir-camera-description 2.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(flir_camera_description)

# find dependencies
find_package(ament_cmake REQUIRED)

install(
  DIRECTORY launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-flir-camera-description (2.0.6-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sat, 12 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.5-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 10 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.3-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 28 Jul 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-flir-camera-description (2.0.0-1jammy) jammy; urgency=high

  * [flir_camera_description] Changed unused depends to exec_depends.
  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * resize image and move to top
  * update licensing comment
  * modify the description package for ROS2, add documentation
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 20 Jul 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-flir-camera-description
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-flir-camera-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-robot-state-publisher, ros-humble-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: FLIR camera Description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-flir-camera-description 2.1.17

=== debian/changelog ===
ros-humble-flir-camera-description (2.1.17-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 17 May 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.1.16-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 19 Apr 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.1.15-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.1.14-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.1.13-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 12 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.1.11-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-flir-camera-description (2.0.8-1bookworm) bookworm; urgency=high

  * fix python formatting to satisfy linter
  * Contributors: Bernd Pfrommer

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.7-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.5-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 10 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-description (2.0.0-1bookworm) bookworm; urgency=high

  * [flir_camera_description] Changed unused depends to exec_depends.
  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * resize image and move to top
  * update licensing comment
  * modify the description package for ROS2, add documentation
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-flir-camera-description//opt/ros/humble/opt/flir_camera_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
